Skip to main content
DELETE
/
components
/
v1
/
offer-design
/
{externalId}
curl -X DELETE \
  'https://api.appcharge.com/components/v1/offer-design/post-purchase-popup-design' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "id": "6a09aa1018b751228b09faed",
  "offerUiType": "PopUp",
  "offerUiSubType": "PostPurchase",
  "name": "Post Purchase Popup Design",
  "externalId": "post-purchase-popup-design",
  "backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
  "title": {
    "text": "Post purchase offer",
    "fontColor": "#FFFFFF",
    "fontSize": 20,
    "fontWeight": "medium"
  }
}
curl -X DELETE \
  'https://api.appcharge.com/components/v1/offer-design/post-purchase-popup-design' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "id": "6a09aa1018b751228b09faed",
  "offerUiType": "PopUp",
  "offerUiSubType": "PostPurchase",
  "name": "Post Purchase Popup Design",
  "externalId": "post-purchase-popup-design",
  "backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
  "title": {
    "text": "Post purchase offer",
    "fontColor": "#FFFFFF",
    "fontSize": 20,
    "fontWeight": "medium"
  }
}

Authorizations

x-publisher-token
string
header
required

Publisher token, as displayed in the Publisher Dashboard.

Path Parameters

externalId
string
required

Design ID that you defined.

Response

Post purchase popup design deleted successfully.

id
string

Design ID.

Example:

"6a09aa1018b751228b09faed"

offerUiType
enum<string>

Type of offer design.

Available options:
PopUp
Example:

"PopUp"

name
string

Offer design name.

Example:

"Post Purchase Popup Design"

externalId
string

Design ID that you defined.

Example:

"post-purchase-popup-design"

backgroundImageUrl
string<url>

Background image URL. For uploaded files, this is the Appcharge-hosted CDN URL. For external image URLs, this is the original image URL served from the provided URL.

Example:

"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png"

title
object
externalBackgroundImageUrl
string<url>

Original background image URL when the design uses an external image URL. This URL is used as provided to serve the image.

Example:

"https://cdn.example.com/assets/background.png"

offerUiSubType
enum<string>

Popup design subtype. Use PostPurchase for post purchase popup designs.

Available options:
PostPurchase
Example:

"PostPurchase"